# BaseScript

BaseScript : `LuaSourceContainer`

## Overview

모든 스크립트 인스턴스의 기본이 되는 클래스입니다.

## Properties

### Enabled

`boolean`

스크립트를 실행할지 여부를 설정합니다.

이미 실행된 스크립트는 Enabled 값을 false로 변경하더라도 실행 중인 코드를 중단하지 않습니다.

#### Code Samples

```lua
local TargetScript = game.Workspace.Script

TargetScript.Enabled = false
print(TargetScript.Enabled)
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/basescript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
